| SX126x-Arduino 2.0.1

Data Fields
lmh_callback_s Struct Reference

LoRaMac Helper Callbacks. More...

`#include <LoRaMacHelper.h>`

## Data Fields
uint8_t(* | BoardGetBatteryLevel )(void)
| Get the current battery level. More...
void(* | BoardGetUniqueId )(uint8_t *id)
| Gets the board 64 bits unique ID. More...
uint32_t(* | BoardGetRandomSeed )(void)
| Returns a pseudo random seed generated using the MCU Unique ID. More...
void(* | lmh_RxData )(lmh_app_data_t *appdata)
| Process Rx Data received from Lora network. More...
void(* | lmh_has_joined )()
| callback indicating EndNode has just joined More...
void(* | lmh_ConfirmClass )(DeviceClass_t Class)
| Confirms the class change. More...
void(* | lmh_has_joined_failed )()
| callback indicating EndNode has just joined failed More...

## Detailed Description

LoRaMac Helper Callbacks.

Examples
  LoRaWanPio\src\main.cpp.

## Field Documentation

## ◆ BoardGetBatteryLevel

uint8_t(* lmh_callback_s::BoardGetBatteryLevel) (void)

Get the current battery level.

Return values

  value | battery level ( 0: very low, 254: fully charged )

## ◆ BoardGetUniqueId

void(* lmh_callback_s::BoardGetUniqueId) (uint8_t *id)

Gets the board 64 bits unique ID.

Parameters

  id | Pointer to an array that will contain the Unique ID

## ◆ BoardGetRandomSeed

uint32_t(* lmh_callback_s::BoardGetRandomSeed) (void)

Returns a pseudo random seed generated using the MCU Unique ID.

Return values

  seed | Generated pseudo random seed

## ◆ lmh_RxData

void(* lmh_callback_s::lmh_RxData) (lmh_app_data_t *appdata)

Process Rx Data received from Lora network.

Parameters

  AppData | Rx structure

## ◆ lmh_has_joined

void(* lmh_callback_s::lmh_has_joined) ()

callback indicating EndNode has just joined

## ◆ lmh_ConfirmClass

void(* lmh_callback_s::lmh_ConfirmClass) (DeviceClass_t Class)

Confirms the class change.

Parameters

  Class | A, B, or C

## ◆ lmh_has_joined_failed

void(* lmh_callback_s::lmh_has_joined_failed) ()

callback indicating EndNode has just joined failed

The documentation for this struct was generated from the following file:

- src/mac/LoRaMacHelper.h